Bundle Protocol Version 7 Administrative Record Types Registry
RFC 9713
Brian Sipos
The Johns Hopkins University Applied Physics Laboratory
11100 Johns Hopkins Rd.
Laurel
MD
20723
United States of America
brian.sipos+ietf@gmail.com
January 2025
INT
dtn
DTN
This document updates RFC 9171 to clarify that Bundle Protocol Version 7 agents are expected to use the IANA "Bundle Administrative Record Types" registry to identify and document administrative record types. This document also designates code points for Private and Experimental Use.
Introduction
An earlier specification [RFC7116] defined an IANA registry for administrative record type code points [IANA-BP] for use with the Bundle Protocol (BP) Version 6 (BPv6) [RFC5050]. When Bundle Protocol Version 7 (BPv7) was published in [RFC9171], it identified the IANA registry for administrative record types but did not update the table to be explicit about which entries applied to which Bundle Protocol version(s). The BPv7 specification also did not discriminate between code point reservations and unassigned ranges for administrative record types.
This document updates BPv7 to explicitly use the IANA "Bundle Administrative Record Types" registry as described in Section 2. This document makes a reservation of the zero value for consistency with BPv6. This document also makes a reservation of high-valued code points for Private Use and Experimental Use in accordance with [RFC8126] to avoid collisions with assigned code points.
Scope
This document describes updates to the IANA "Bundle Administrative Record Types" registry and how a BPv7 agent is supposed to use that registry to identify administrative record types.
This document does not specify how BPv6 and BPv7 can interoperate when both use the same code points or how a specific code point is to be interpreted either similarly or differently by Bundle Protocol versions. The specification for each administrative record type is to define how the administrative record type relates to each BP version.
Terminology
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Administrative Record Types Registry
This document updates the requirements in Section 6.1 of [RFC9171] to specify use of an existing IANA registry and updates that registry as described in Section 4.1.
The code point allocated in Annex D of [CCSDS-BP] was never added to the IANA registry. To avoid a collision, this document adds that allocation to the registry.
Instead of using the list of types in Section 6.1 of [RFC9171], a BPv7 administrative element SHALL determine which administrative record type code values can be used by the "7" noted in the Bundle Protocol Version column of the IANA "Bundle Administrative Record Types" registry [IANA-BP].
If an administrative element receives a not-well-formed application data unit (ADU) or an administrative record type code that is not able to be processed by the element, the record SHALL be ignored by the element. The processing of a received administrative record ADU does not affect the fact that the bundle itself was delivered to the administrative element or any related bundle protocol agent processing of (e.g., status reports on) the enveloping bundle.
Security Considerations
This document does not define any requirements or structures that introduce new security considerations.
The existing security considerations of [RFC9171] still apply when using the IANA "Bundle Administrative Record Types" registry.
IANA Considerations
This specification modifies a BPv6 registry by extending it for BPv7.
Bundle Administrative Record Types
Within the "Bundle Protocol" registry group [IANA-BP], the "Bundle Administrative Record Types" registry has been updated to include a leftmost "Bundle Protocol Version" column. New entries have been added and existing entries have been updated to include BP versions as in Table 1. This document makes no changes to the registration procedures for this registry.
Bundle Administrative Record Types
Bundle Protocol Version | Value | Description | Reference
6,7 | 0 | Reserved | [RFC7116] RFC 9713
6,7 | 1 | Bundle status report | [RFC5050] [RFC9171]
6 | 2 | Custody signal | [RFC5050]
| 3 | Unassigned |
6 | 4 | Aggregate Custody Signal | [CCSDS-BP]
| 5 - 15 | Unassigned |
7 | 16 - 64383 | Unassigned |
7 | 64384 - 64511 | Reserved for Experimental Use | RFC 9713
7 | 64512 - 65535 | Reserved for Private Use | RFC 9713
References
Normative References
[IANA-BP]

Bundle Protocol
IANA
Informative References
[CCSDS-BP]

CCSDS Bundle Protocol Specification
Consultative Committee for Space Data Systems
September 2015
CCSDS Recommended Standard
CCSDS 734.2-B-1
[RFC7116]
[RFC5050]
[RFC9171]
[RFC8126]
[RFC2119]
[RFC8174]